The probability is the direct output of the EPSS model, and conveys an overall sense of the threat of exploitation in the wild. The percentile measures the EPSS probability relative to all known EPSS scores. Note: This data is updated daily, relying on the latest available EPSS model version. Check out the EPSS documentation for more details.
In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.
Test your applicationsLearn about Access Restriction Bypass vulnerabilities in an interactive lesson.
Start learningUpgrade github.com/rancher/rancher
to version 2.7.3 or higher.
Affected versions of this package are vulnerable to Access Restriction Bypass such that when the Webhook is operating in a degraded state, it no longer validates any resources, which may result in severe privilege escalations and data corruption.
Note: The issue only affects users that upgrade from 2.6.x
or 2.7.x
to 2.7.2
. Users that did a fresh install of 2.7.2 (and did not follow an upgrade path) are not affected.
The command below can be executed on the local
cluster to determine whether the cluster is affected by this issue:
$ kubectl get validatingwebhookconfigurations.admissionregistration.k8s.io rancher.cattle.io
If the resulting webhook quantity is 0
, the Rancher instance is affected.
Users who are unable to upgrade to the fixed version can manually reconfigure the Webhook with the script below. Please note that the script must be run from inside the local
cluster or with a kubeconfig pointing to the local
cluster which has admin permissions.
#!/bin/bash
set -euo pipefail
function prereqs() { if ! [ -x "$(command -v kubectl)" ]; then echo "error: kubectl is not installed." >&2 exit 1 fi
if [[ -z "$(kubectl config view -o jsonpath='{.clusters[].cluster.server}')" ]]; then echo "error: No kubernetes cluster found on kubeconfig." >&2 exit 1 fi
}
function restart_deployment(){ kubectl rollout restart deployment rancher-webhook -n cattle-system kubectl rollout status deployment rancher-webhook -n cattle-system --timeout=30s }
function workaround() { echo "Cluster: $(kubectl config view -o jsonpath='{.clusters[].cluster.server}')"
if ! kubectl get validatingwebhookconfigurations.admissionregistration.k8s.io rancher.cattle.io > /dev/null 2>&1; then echo "webhook rancher.cattle.io not found, restarting deployment:" restart_deployment echo "waiting for webhook configuration" sleep 15s fi local -i webhooks webhooks="$(kubectl get validatingwebhookconfigurations.admissionregistration.k8s.io rancher.cattle.io --no-headers | awk '{ print $2 }')" if [ "${webhooks}" == "0" ]; then echo "Webhook misconfiguration status: Cluster is affected by CVE-2023-22651" echo "Running workaround:" kubectl delete validatingwebhookconfiguration rancher.cattle.io restart_deployment ret=$? if [ $ret -eq 0 ]; then echo "Webhook restored, CVE-2023-22651 is fixed" else echo "error trying to restart deployment. try again in a few seconds." fi else echo "Webhook misconfiguration status: not present (skipping)" fi echo "Done"
}
function main() { prereqs workaround }
main